Skip to content

Electricity Biller

| View as Markdown

This API will display all the available providers for electricity to make a payment. So, retrieving details like provider name, id, biller logo of electricity bill providers as a response before making an electricity bill payment.

https://kraken.airpay.co.in/airpay/ms/baas/api/electricity-bill-providers
ParameterType ValueDescriptionValue Like
affiliate requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
checksum requiredText$string = $param.self::$secret_key;91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
api-key requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
processor-key requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
status requiredNumeric
(3)
400- fail,200-success
message requiredTextsuccess, fail
data requiredText
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/electricity-bill-providers' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
{
"status" :"200",
"message": "success",
"data": {
"1": {
"provider_name": "Chamundnagar Electricity",
"provider_id": "1",
"required_fields": "AccountIDRABDRPORConsumerNumberConnectionIDNon-RABDRP",
"fields_validation": "^[0-9A-Za-z]{10}$",
"biller_logo": "https://example.com/hg/images/billerlogo/CESCOM000KAR01.gif"
},
"3": {
"provider_name": "Arunachal Power (APDCL RAPDR)",
"provider_id": "3",
"required_fields": "ConsumerID",
"fields_validation": "^[0-9]{11}$",
"biller_logo": "https://example.com/hg/images/billerlogo/APDCL0000ASM01.gif"
},
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}